[arch-commits] Commit in gpgme/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Wed Nov 26 13:33:37 UTC 2014


    Date: Wednesday, November 26, 2014 @ 14:33:34
  Author: tpowa
Revision: 227125

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gpgme/repos/testing-i686/
  gpgme/repos/testing-i686/PKGBUILD
    (from rev 227124, gpgme/trunk/PKGBUILD)
  gpgme/repos/testing-i686/gpgme.install
    (from rev 227124, gpgme/trunk/gpgme.install)
  gpgme/repos/testing-x86_64/
  gpgme/repos/testing-x86_64/PKGBUILD
    (from rev 227124, gpgme/trunk/PKGBUILD)
  gpgme/repos/testing-x86_64/gpgme.install
    (from rev 227124, gpgme/trunk/gpgme.install)

------------------------------+
 testing-i686/PKGBUILD        |   35 +++++++++++++++++++++++++++++++++++
 testing-i686/gpgme.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD      |   35 +++++++++++++++++++++++++++++++++++
 testing-x86_64/gpgme.install |   20 ++++++++++++++++++++
 4 files changed, 110 insertions(+)

Copied: gpgme/repos/testing-i686/PKGBUILD (from rev 227124, gpgme/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-11-26 13:33:34 UTC (rev 227125)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Roman Kyrylych <roman at archlinux.org>
+# Contributor: Sarah Hay <sarah at archlinux.org>
+
+pkgname=gpgme
+pkgver=1.5.2
+pkgrel=1
+pkgdesc="A C wrapper library for GnuPG"
+arch=('i686' 'x86_64')
+url="http://www.gnupg.org/related_software/gpgme/"
+license=('LGPL')
+depends=('libgpg-error' 'pth' 'gnupg>=2')
+install=${pkgname}.install
+options=('!emptydirs')
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2{,.sig})
+md5sums=('d1bde2f441a7f2fa30600c8ffc5da0f9'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-fd-passing --disable-static \
+              --disable-gpgsm-test
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: gpgme/repos/testing-i686/gpgme.install (from rev 227124, gpgme/trunk/gpgme.install)
===================================================================
--- testing-i686/gpgme.install	                        (rev 0)
+++ testing-i686/gpgme.install	2014-11-26 13:33:34 UTC (rev 227125)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gpgme.info gpgme.info-1 gpgme.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: gpgme/repos/testing-x86_64/PKGBUILD (from rev 227124, gpgme/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-11-26 13:33:34 UTC (rev 227125)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Roman Kyrylych <roman at archlinux.org>
+# Contributor: Sarah Hay <sarah at archlinux.org>
+
+pkgname=gpgme
+pkgver=1.5.2
+pkgrel=1
+pkgdesc="A C wrapper library for GnuPG"
+arch=('i686' 'x86_64')
+url="http://www.gnupg.org/related_software/gpgme/"
+license=('LGPL')
+depends=('libgpg-error' 'pth' 'gnupg>=2')
+install=${pkgname}.install
+options=('!emptydirs')
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2{,.sig})
+md5sums=('d1bde2f441a7f2fa30600c8ffc5da0f9'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-fd-passing --disable-static \
+              --disable-gpgsm-test
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: gpgme/repos/testing-x86_64/gpgme.install (from rev 227124, gpgme/trunk/gpgme.install)
===================================================================
--- testing-x86_64/gpgme.install	                        (rev 0)
+++ testing-x86_64/gpgme.install	2014-11-26 13:33:34 UTC (rev 227125)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gpgme.info gpgme.info-1 gpgme.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}


More information about the arch-commits mailing list